Автор Тема: проблемы зависимостей  (Прочитано 5562 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн maksskn

проблемы зависимостей
« : 03 Февраля 2015, 22:45:44 »
Подскажите, как устранить ошибку: "проблемы зависимостей"? при установке любого пакета.
 

Оффлайн alsoijw

Re: проблемы зависимостей
« Ответ #1 : 03 Февраля 2015, 22:56:56 »
maksskn, выхлоп полностью.
Мало видеть нам начало - надо видеть и конец. Если видишь ты создание - значит где-то есть ТВОРЕЦ
Многие жалуются: геометрия в жизни не пригодилась. Ямб от хорея им приходится отличать ежедневно?
 

Онлайн endru

Re: проблемы зависимостей
« Ответ #2 : 04 Февраля 2015, 06:43:30 »
maksskn,показывайте на что ругается. в дополнение вывод команд:
uname -a
cat /etc/apt/sources.list

Оффлайн maksskn

Re: проблемы зависимостей
« Ответ #3 : 04 Февраля 2015, 12:09:31 »
maksskn, выхлоп полностью.
sudo dpkg -i /home/user/Desktop/t.deb
Выбор ранее не выбранного пакета google-chrome-stable.
dpkg: предупреждение: список файлов пакета «libssl1.0.0:amd64» отсутствует; предполагаем, что на данный момент у пакета нет установленных файлов
(Чтение базы данных … на данный момент установлено 81755 файлов и каталогов.)
Распаковывается пакет google-chrome-stable (из файла /home/user/Desktop/t.deb) …
dpkg: зависимости пакетов не позволяют настроить пакет google-chrome-stable:
 google-chrome-stable зависит от libappindicator1, однако:
  Пакет libappindicator1 не установлен.
 google-chrome-stable зависит от libcurl3, однако:
  Пакет libcurl3 не установлен.

dpkg: ошибка при обработке параметра google-chrome-stable (--install):
 проблемы зависимостей — оставляем не настроенным
Обрабатываются триггеры для man-db …
Обрабатываются триггеры для desktop-file-utils …
Обрабатываются триггеры для gnome-menus …
Обрабатываются триггеры для menu …
При обработке следующих пакетов произошли ошибки:

Сообщение объединено: 04 Февраля 2015, 12:10:32
maksskn,показывайте на что ругается. в дополнение вывод команд:
uname -a
cat /etc/apt/sources.list

а если не стабильное подключение к интернету, соурс лист тоже играет роль?
 

Онлайн endru

Re: проблемы зависимостей
« Ответ #4 : 04 Февраля 2015, 12:16:41 »
а если не стабильное подключение к интернету, соурс лист тоже играет роль?
он всегда играет роль, даже когда интернета нет.
вывод команд нужен!

Оффлайн ferum

Re: проблемы зависимостей
« Ответ #5 : 04 Февраля 2015, 14:44:00 »
Для порядка надо бы указать систему , а то в squeeze google-chrome-stable  в принципе не ставится а в более свежих ошибка лечится
 sudo apt-get -f install
Русские дебианщики против цифрового слабоумия !
 

Оффлайн vladimir_ar

Re: проблемы зависимостей
« Ответ #6 : 04 Февраля 2015, 14:46:24 »
Так явно же написано:
Цитировать
google-chrome-stable зависит от libappindicator1, однако:
  Пакет libappindicator1 не установлен.
 google-chrome-stable зависит от libcurl3, однако:
  Пакет libcurl3 не установлен.
Debian Testing, kernel 3.16-2-amd64, OpenBox
AMD A8-3750 / 16Gb RAM / ATI HD6550D (onboard) / Sound ASUS Xonar - DS
_______________________________
Debian Testing, kernel 3.14-2-amd64, OpenBox
HP-655 AMD E1 / 8Gb RAM / ATI HD7310M
 

Оффлайн qupl

Re: проблемы зависимостей
« Ответ #7 : 04 Февраля 2015, 14:49:43 »
Подскажите, как устранить ошибку: "проблемы зависимостей"? при установке любого пакета.
Главная "ошибка" - это ручная установка пакета через dpkg, при наличии интернета. Это если этот же пакет есть в репозиториях.

Оффлайн alsoijw

Re: проблемы зависимостей
« Ответ #8 : 04 Февраля 2015, 15:53:37 »
qupl, хром есть в репах? С каких это пор?
Мало видеть нам начало - надо видеть и конец. Если видишь ты создание - значит где-то есть ТВОРЕЦ
Многие жалуются: геометрия в жизни не пригодилась. Ямб от хорея им приходится отличать ежедневно?
 

Оффлайн ferum

Re: проблемы зависимостей
« Ответ #9 : 04 Февраля 2015, 16:36:44 »
хром есть в репах? С каких это пор?
deb http://dl.google.com/linux/chrome/deb/ stable main
Русские дебианщики против цифрового слабоумия !
 

Оффлайн qupl

Re: проблемы зависимостей
« Ответ #10 : 04 Февраля 2015, 17:01:21 »
qupl, хром есть в репах? С каких это пор?
Я этого не утверждал. Я говорю о том, что по возможности не нужно ставить отдельные пакеты, если они есть в репозиторях. Тогда не придется мучаться с ручным разрешением зависимостей.

Оффлайн vovan--vovan

Re: проблемы зависимостей
« Ответ #11 : 05 Февраля 2015, 15:44:56 »
Для установки стороннего deb пакета очень хорошо выручает программа gdebi, да и хромовский репозиторий подключить можно.
« Последнее редактирование: 05 Февраля 2015, 15:47:55 от vovan--vovan »
Не даст поколебаться Он ноге твоей, и не воздремлет хранящий тебя...
 

Оффлайн Deportivo

Re: проблемы зависимостей
« Ответ #12 : 06 Февраля 2015, 12:38:27 »
Подключите. И получите ошибку - дублированный репозиторий.
Debian 9 Lenovo G5030
 

Оффлайн ogost

Re: проблемы зависимостей
« Ответ #13 : 06 Февраля 2015, 13:59:24 »
Deportivo, хромовский репозиторий никаких ошибок не выдает.

Оффлайн Leo

Re: проблемы зависимостей
« Ответ #14 : 07 Февраля 2015, 01:26:48 »
[ot]
Для установки стороннего deb пакета очень хорошо выручает программа gdebi
Раньше пользовался - сейчас - нет. dpkg - удобнее.
dpkg -i [пакет|*]если * - поставит все пакеты из папки.
При этом я ничуть не против гуи )))
[/ot]
« Последнее редактирование: 07 Февраля 2015, 01:28:58 от Leo »
 

Теги:
     

    Проблемы при установке Vundle в vim

    Автор Palamar

    Ответов: 0
    Просмотров: 1552
    Последний ответ 21 Марта 2017, 14:16:36
    от Palamar
    проблемы при установки skype

    Автор CurentUser

    Ответов: 3
    Просмотров: 2743
    Последний ответ 13 Декабря 2012, 04:29:01
    от CurentUser
    Проблемы с обновлением безопасности

    Автор Paul

    Ответов: 7
    Просмотров: 1788
    Последний ответ 09 Мая 2013, 00:26:51
    от Paul
    Проблемы с rtf в LO5 под Дебиан9

    Автор ЦарьПушка

    Ответов: 12
    Просмотров: 1503
    Последний ответ 10 Декабря 2017, 14:03:37
    от ЦарьПушка
    [РЕШЕНО]проблемы с загрузкой

    Автор D101101

    Ответов: 10
    Просмотров: 2839
    Последний ответ 14 Января 2014, 15:30:17
    от D101101